# Copyright (C) 2001 Arvid Patyupin <arvid@sumoftech.com> 
# Copyright (C) 2001 Stfane Fermigier <sf@fermigier.com> and
# Nuxeo SARL <contact@nuxeo.com>.
# See licence info at the end of this file or in this directory.

import IEDocument
import OFS.misc_
from ZClasses import createZClassForBase

#ie
from ImageFile import ImageFile
from JavaScriptFile import JavaScriptFile
from CSSFile import CSSFile
#/ie 

createZClassForBase(IEDocument.IEDocument, globals(), 
  'ZIEDocument', 'IE Document')

def initialize(context):
    "Initialize the IE Document product"
    context.registerClass(
        IEDocument.IEDocument,
        permission='Add IE Documents',
        constructors=(
            IEDocument.addIEDocumentForm,
            IEDocument.addIEDocument,
        ),
        icon="www/IEDocument.gif"
    )


def PUT_factory( self, name, typ, body ):
    from OFS.Image import Image, File
    from OFS.DTMLDocument import DTMLDocument

    if typ == 'text/html':
        ob = IEDocument.IEDocument('', __name__=name)
    elif typ in ('text/xml', 'text/plain'):
        ob = IEDocument('', __name__=name)
    elif typ[:6] == 'image/':
        ob = Image(name, '', body, content_type=typ)
    else:
        ob = File(name, '', body, content_type=typ)
    return ob

import webdav.NullResource
webdav.NullResource.NullResource._default_PUT_factory = PUT_factory

#ie
misc_={
    'LinkDoc.gif':     ImageFile('IMAGES/LINKDOC.GIF',   globals()),
    'Bold.gif':      ImageFile('IMAGES/BOLD.GIF',   globals()),
    'Italic.gif':      ImageFile('IMAGES/ITALIC.GIF',   globals()),
    'Left.gif':      ImageFile('IMAGES/LEFT.GIF',   globals()),
    'Center.gif':      ImageFile('IMAGES/CENTER.GIF',   globals()),
    'Right.gif':      ImageFile('IMAGES/RIGHT.GIF',   globals()),
    'Copy.gif':      ImageFile('IMAGES/COPY.GIF',   globals()),
    'Paste.gif':      ImageFile('IMAGES/PASTE.GIF',   globals()),
    'Cut.gif':      ImageFile('IMAGES/CUT.GIF',   globals()),
    'Find.gif':      ImageFile('IMAGES/FIND.GIF',   globals()),
    'Link.gif':      ImageFile('IMAGES/LINK.GIF',   globals()),
    'Image.gif':      ImageFile('IMAGES/IMAGE.GIF',   globals()),
    'Inindent.gif':      ImageFile('IMAGES/ININDENT.GIF',   globals()),
    'Deindent.gif':      ImageFile('IMAGES/DEINDENT.GIF',   globals()),
    'Numlist.gif':      ImageFile('IMAGES/NUMLIST.GIF',   globals()),
    'Bullist.gif':      ImageFile('IMAGES/BULLIST.GIF',   globals()),
    'Close.gif':      ImageFile('IMAGES/CLOSE.GIF',   globals()),
    'HTML.gif':      ImageFile('IMAGES/HTML.GIF',   globals()),
    'button_seperator.gif':      ImageFile('IMAGES/button_seperator.gif',   globals()),
    'zie_js':      JavaScriptFile('zie.js',   globals()),
    'zie_css':     CSSFile('zie.css',   globals()),
    'lang_en':      JavaScriptFile('lang/en.js',   globals()),
    'lang_ru':      JavaScriptFile('lang/ru.js',   globals()),
    'lang_sv':      JavaScriptFile('lang/sv.js',   globals()),
    }
#/ie